import request from '@/utils/request'

// 查询通告报名列表
export function listSign(query) {
  return request({
    url: '/busi/sign/list',
    method: 'get',
    params: query
  })
}

// 查询通告报名详细
export function getSign(id) {
  return request({
    url: '/busi/sign/' + id,
    method: 'get'
  })
}

// 新增通告报名
export function addSign(data) {
  return request({
    url: '/busi/sign',
    method: 'post',
    data: data
  })
}

// 修改通告报名
export function updateSign(data) {
  return request({
    url: '/busi/sign',
    method: 'put',
    data: data
  })
}

// 删除通告报名
export function delSign(id) {
  return request({
    url: '/busi/sign/' + id,
    method: 'delete'
  })
}
